Loading...
Searching...
No Matches
vspace::SyncReadEvent< T > Class Template Reference

`#include <vspace.h>`

## Public Member Functions

| SyncReadEvent (VRef< SyncVar< T > > syncvar)
virtual bool | start_listen (internals::ipc_signal_t sig)
virtual void | stop_listen ()
T | complete ()

## Private Attributes

VRef< SyncVar< T > > | _syncvar

## Detailed Description

template<typename T>
class vspace::SyncReadEvent< T >

Definition at line 2657 of file vspace.h.

## Constructor & Destructor Documentation

## SyncReadEvent()

template<typename T>

vspace::SyncReadEvent< T >::SyncReadEvent | ( | VRef< SyncVar< T > > | syncvar | ) |

inline

Definition at line 2662 of file vspace.h.

: _syncvar(syncvar) {
}
vspace::SyncReadEvent
Definition vspace.h:2657
vspace::SyncReadEvent::_syncvar
VRef< SyncVar< T > > _syncvar
Definition vspace.h:2659

## Member Function Documentation

## complete()

template<typename T>

T vspace::SyncReadEvent< T >::complete | ( |  | ) |

inline

Definition at line 2670 of file vspace.h.

{
return _syncvar->read();
}

## start_listen()

template<typename T>

virtual bool vspace::SyncReadEvent< T >::start_listen | ( | internals::ipc_signal_t | sig | ) |

inline virtual

Implements vspace::Event.

Definition at line 2664 of file vspace.h.

{
return _syncvar->start_wait(sig);
}

## stop_listen()

template<typename T>

virtual void vspace::SyncReadEvent< T >::stop_listen | ( |  | ) |

inline virtual

Implements vspace::Event.

Definition at line 2667 of file vspace.h.

{
_syncvar->stop_wait();
}

## Field Documentation

## _syncvar

template<typename T>

VRef<SyncVar<T> > vspace::SyncReadEvent< T >::_syncvar

private

Definition at line 2659 of file vspace.h.

The documentation for this class was generated from the following file:

- kernel/oswrapper/vspace.h